org.apache.ignite.internal.visor.streamer

## Class VisorStreamer

- java.lang.Object
- - org.apache.ignite.internal.visor.streamer.VisorStreamer

All Implemented Interfaces:
  Serializable

    public class VisorStreamer
    extends Object
    implements Serializable

Data transfer object for `IgniteStreamer`.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`VisorStreamer()`

### Method Summary

Methods
`static VisorStreamer` `from(IgniteStreamer s)`
`VisorStreamerMetrics` `metrics()`
`void` `metrics(VisorStreamerMetrics metrics)`
`String` `name()`
`void` `name(String name)`
`Collection<VisorStreamerStageMetrics>` `stages()`
`void` `stages(Collection<VisorStreamerStageMetrics> stages)`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### VisorStreamer

    public VisorStreamer()

### Method Detail

#### from

    public static VisorStreamer from(IgniteStreamer s)

Parameters:
  `s` - Streamer.
Returns:
  Data transfer object for given streamer.

#### name

    public String name()

Returns:
  Streamer name.

#### name

    public void name(String name)

Parameters:
  `name` - New streamer name.

#### metrics

    public VisorStreamerMetrics metrics()

Returns:
  Metrics.

#### metrics

    public void metrics(VisorStreamerMetrics metrics)

Parameters:
  `metrics` - New metrics.

#### stages

    public Collection<VisorStreamerStageMetrics> stages()

Returns:
  Stages.

#### stages

    public void stages(Collection<VisorStreamerStageMetrics> stages)

Parameters:
  `stages` - New stages.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.0.0-RC1
Release Date | : February 17 2015